#include <stdio.h>
#include <SDL/SDL_image.h>

#include "enemigo.h"
#include "jugador.h"

using namespace std;

Enemigo::Enemigo(int x, int y){
SDL_Surface *image = IMG_Load("img/coche_en_marcha.png");
if ( image == NULL ) {
        fprintf(stderr, "No pude cargar %s: %s\n", "coche_en_marcha.png", SDL_GetError());
        return;
}
x_=x;
y_=y;
h_=image->h;
w_=image->w;
}

Enemigo::Enemigo(const Enemigo* e)
{
	x_=e->x_;
	y_=e->y_;
	h_=e->h_;
	w_=e->w_;
}	

bool Enemigo::movimiento(const Jugador& j)
{
	if(y_+2<=600)
		y_+=5;
	else
		y_=-150;

	if(j.cordenadaxi() >= x_&& j.cordenadaxi()<= (x_+w_) && j.cordenadayi()>=y_ && j.cordenadayi() <= (y_+h_))
		return true;
	else if((j.cordenadaxf()>= x_)&& (j.cordenadaxf()<=(x_+w_)) && (j.cordenadayi()>= y_)&& (j.cordenadayi() <= (y_+h_))) 
		return true;
	else if((j.cordenadaxi()>= x_)&& (j.cordenadaxi()<=(x_+w_)) && j.cordenadayf()>=y_ && j.cordenadayf() <= (y_+h_))
		return true;
	else if(j.cordenadaxf()>=x_&& j.cordenadaxf()<= (x_+w_) && (j.cordenadayf()>= y_)&& (j.cordenadayf() <= (y_+h_)))
		return true;
	else 
		return false;
}


void Enemigo::mostrar(SDL_Surface *screen)const
{
    SDL_Rect dest;
    SDL_Surface *image = IMG_Load("img/coche_en_marcha.png");
    if ( image == NULL ) {
        fprintf(stderr, "No pude cargar %s: %s\n", "coche_en_marcha.png", SDL_GetError());
        return;
    }

    /* Volcamos en la superficie de pantalla.
       Las superficies no deberían estar bloqueadas 
       en este punto. */
    dest.x = x_;
    dest.y = y_;
    dest.w = w_;
    dest.h = h_;
    SDL_BlitSurface(image, NULL, screen, &dest);

    SDL_FreeSurface(image);
}

