//-*- C++ -*-
#ifndef ENEMIGO_H_
#define ENEMIGO_H_

//hereda de personaje
#include "personaje.h"
#include "jugador.h"

//Clase Enemigo
class Enemigo:public Personaje{
	public:
		//!Constructor de la clase Personaje
		/*!@param Recibe las codenadas en las que ocupara el enemigo
		 * @param Ademas en la direccion donde se dirije el enemigo*/
		Enemigo(int x, int y);
		Enemigo(const Enemigo* e);
		//!Funcion que realizadara los movimientos
		// Esta funcion realizara los movimientos programados segun el grafo.
		bool movimiento(const Jugador& j);
		void mostrar(SDL_Surface *screen)const;
};

#endif

/**
*Simplemente tiene el constructor y la funcion de movimiento.
*
*La funcion de movimiento habra que cambiarla lo mas seguro y ponerle algunas condiciones mas para que funcione correctamente para realizar las colisiones.
*/
