//-*- C++ -*-
#ifndef OBJETO_H_
#define OBJETO_H_

#include <SDL/SDL_image.h>

//Clase Objeto
class Objeto{
	public:
		//!Constructor de la clase Objeto
		// @param Recibe las codenadas en las que ocupara el objeto
		Objeto(int x, int y);
		//!Funcion mover
		// No recibe ni devulve nada, solo realiza el desplazamiento deseado		
		void mover();
		//!Funciones observadoras
		//@return Devuelve el atributo solicitado
		int cordenadaxi()const;
		int cordenadaxf()const;
		int cordenadayi()const;
		int cordenadayf()const;
		void mostrar(SDL_Surface *screen)const;
	private:
		int x_,y_,h_,w_;
};

#endif

/**
*Ya que la diseñadora grafica tras mandar sus imagenes, por fin, hemos tenido que cambiar
*la estructura de la clase ya que la imagen de los objetos estan directamente en el fondo.
*(lo cual no es lo hablado)
* Las funciones son la basicas de constructoras y observadora.
* La funcion de movimiento tendra que retocarse a la hora de incrementar las cordenadas.
*/
